NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.GeometricUtilities.BoundingObjectBuilder Class Reference

Represents a NXOpen.GeometricUtilities.BoundingObjectBuilder More...

Inheritance diagram for NXOpen.GeometricUtilities.BoundingObjectBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Method {
  ExistingCurve, ProjectPoint, LineBy2Points, PointAndVector,
  ByPlane
}
 Represents Bounding Object option types. More...
 

Public Member Functions

unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.SelectDisplayableObject 
BoundingCurve [get]
 Returns the existing bounding curve. More...
 
unsafe
NXOpen.GeometricUtilities.BoundingObjectBuilder.Method 
BoundingObjectMethod [get, set]
 Returns or sets the bounding object method More...
 
unsafe NXOpen.Plane BoundingPlane [get, set]
 Returns or sets the bounding plane. More...
 
unsafe NXOpen.Point BoundingPoint [get, set]
 Returns or sets the bounding point. More...
 
unsafe NXOpen.Point BoundingPoint1 [get, set]
 Returns or sets the bounding point1. More...
 
unsafe NXOpen.Point BoundingPoint2 [get, set]
 Returns or sets the bounding point2. More...
 
unsafe NXOpen.Point BoundingProjectPoint [get, set]
 Returns or sets the bounding project point. More...
 
unsafe NXOpen.Direction BoundingVector [get, set]
 Returns or sets the bounding vector. More...
 
unsafe NXOpen.Point IntersectionReference [get, set]
 Returns or sets the intersection reference More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.GeometricUtilities.BoundingObjectBuilder

Created in NX7.5.1

Member Enumeration Documentation

Represents Bounding Object option types.

Enumerator
ExistingCurve 

Existing Curve

ProjectPoint 

Project Point

LineBy2Points 

Line by 2 Points

PointAndVector 

Point and Vector

ByPlane 

By Plane

Member Function Documentation

unsafe bool NXOpen.GeometricUtilities.BoundingObjectBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.SelectDisplayableObject NXOpen.GeometricUtilities.BoundingObjectBuilder.BoundingCurve
get

Returns the existing bounding curve.

This is applicable for NXOpen.GeometricUtilities.BoundingObjectBuilder.Method.ExistingCurve

Created in NX7.5.1

License requirements: None.

unsafe NXOpen.GeometricUtilities.BoundingObjectBuilder.Method NXOpen.GeometricUtilities.BoundingObjectBuilder.BoundingObjectMethod
getset

Returns or sets the bounding object method

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe NXOpen.Plane NXOpen.GeometricUtilities.BoundingObjectBuilder.BoundingPlane
getset

Returns or sets the bounding plane.

This is applicable for NXOpen.GeometricUtilities.BoundingObjectBuilder.Method.ByPlane

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe NXOpen.Point NXOpen.GeometricUtilities.BoundingObjectBuilder.BoundingPoint
getset

Returns or sets the bounding point.

This is applicable for NXOpen.GeometricUtilities.BoundingObjectBuilder.Method.PointAndVector

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe NXOpen.Point NXOpen.GeometricUtilities.BoundingObjectBuilder.BoundingPoint1
getset

Returns or sets the bounding point1.

This represents first bounding point. This is applicable for NXOpen.GeometricUtilities.BoundingObjectBuilder.Method.LineBy2Points

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe NXOpen.Point NXOpen.GeometricUtilities.BoundingObjectBuilder.BoundingPoint2
getset

Returns or sets the bounding point2.

This represents second bounding point. This is applicable for NXOpen.GeometricUtilities.BoundingObjectBuilder.Method.LineBy2Points

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe NXOpen.Point NXOpen.GeometricUtilities.BoundingObjectBuilder.BoundingProjectPoint
getset

Returns or sets the bounding project point.

This is applicable for NXOpen.GeometricUtilities.BoundingObjectBuilder.Method.ProjectPoint

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe NXOpen.Direction NXOpen.GeometricUtilities.BoundingObjectBuilder.BoundingVector
getset

Returns or sets the bounding vector.

This is applicable for NXOpen.GeometricUtilities.BoundingObjectBuilder.Method.PointAndVector

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe NXOpen.Point NXOpen.GeometricUtilities.BoundingObjectBuilder.IntersectionReference
getset

Returns or sets the intersection reference

Created in NX7.5.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.